Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class DiagnosticStream

`java.lang.Object
java.io.Writer
java.io.PrintWriter
oracle.jbo.common.DiagnosticStream`

public class DiagnosticStream
extends java.io.PrintWriter

This class allows you to pass an instance of itself to code that expects to be using a PrintStream, and to indirect through the Diagnostic facility: hence the output can be controlled using the system properties jbo.diagnostic.logging etcetera.

Since:
  3.1

Field Summary

Fields inherited from class java.io.PrintWriter
`out`

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`DiagnosticStream()`

Method Summary
`boolean` | `checkError()`
`void` | `close()`
`void` | `flush()`
`void` | `print(boolean b)`
`void` | `print(char c)`
`void` | `print(char[] s)`
`void` | `print(double d)`
`void` | `print(float f)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(java.lang.Object obj)`
`void` | `print(java.lang.String s)`
`void` | `println()`
`void` | `println(boolean x)`
`void` | `println(char x)`
`void` | `println(char[] x)`
`void` | `println(double x)`
`void` | `println(float x)`
`void` | `println(int x)`
`void` | `println(long x)`
`void` | `println(java.lang.Object x)`
`void` | `println(java.lang.String s)`
`protected void` | `setError()`
`void` | `write(byte[] buf, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.io.PrintWriter
`write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DiagnosticStream

    public DiagnosticStream()

Method Detail

### print

    public void print(java.lang.String s)

### println

    public void println(java.lang.String s)

### flush

    public void flush()

### close

    public void close()

### checkError

    public boolean checkError()

### setError

    protected void setError()

### write

    public void write(int b)

### write

    public void write(byte[] buf,
                      int off,
                      int len)

### print

    public void print(boolean b)

### print

    public void print(char c)

### print

    public void print(int i)

### print

    public void print(long l)

### print

    public void print(float f)

### print

    public void print(double d)

### print

    public void print(char[] s)

### print

    public void print(java.lang.Object obj)

### println

    public void println()

### println

    public void println(boolean x)

### println

    public void println(char x)

### println

    public void println(int x)

### println

    public void println(long x)

### println

    public void println(float x)

### println

    public void println(double x)

### println

    public void println(char[] x)

### println

    public void println(java.lang.Object x)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.